Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(3)

Unified Diff: git_cl/test/patch.sh

Issue 6714008: fix failed rename of args (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/tools/depot_tools
Patch Set: add tests Created 9 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « git_cl/git_cl.py ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: git_cl/test/patch.sh
diff --git a/git_cl/test/patch.sh b/git_cl/test/patch.sh
new file mode 100755
index 0000000000000000000000000000000000000000..b494b442eb43822bd9080b44c3b91cb558e7a0b1
--- /dev/null
+++ b/git_cl/test/patch.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+set -e
+
+. ./test-lib.sh
+
+setup_initsvn
+setup_gitsvn
+
+(
+ set -e
+ cd git-svn
+ git checkout -q -b work
+ echo "some work done on a branch" >> test
+ git add test; git commit -q -m "branch work"
+
+ git config rietveld.server localhost:8080
+
+ # Prevent the editor from coming up when you upload.
+ export EDITOR=$(which true)
+
+ test_expect_success "upload succeeds (needs a server running on localhost)" \
+ "$GIT_CL upload -m test master | grep -q 'Issue created'"
+
+ test_expect_success "git-cl status now knows the issue" \
+ "$GIT_CL status | grep -q 'Issue number'"
+
+ ISSUE=$($GIT_CL status | awk '$0 ~ "Issue number:" { print $3 }')
+
+ git checkout -q -b test2 master
+
+ test_expect_success "git cl patch $ISSUE"
+)
+SUCCESS=$?
+
+cleanup
+
+if [ $SUCCESS == 0 ]; then
+ echo PASS
+fi
« no previous file with comments | « git_cl/git_cl.py ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698